!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!  Include file for XRTRASTER Datastream Routine  !
!
!  $Revision: 1.1 $
!  $Modtime:   01 May 1996 14:36:38  $
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

	implicit none

	include 'types.inc'
	include 'xprim.inc'
	include 'msgmask.inc'
	include 'xfacilities.inc'
	include 'parameters.inc'
	integer*4 XRTRASTER_RUN
	integer*4 L_Gx, L_SpecStruct
	integer*4 t_auto, t_autol, t_bs, t_cntrls, t_edge, t_events, t_lpf
	integer*4 t_lps, t_mimic, t_msgid, t_smooth, t_specs, t_wrap
C+++
C CMC - added compression
	integer*4 t_markm, t_marks, t_cmp
C---
	structure /SPECSTRUCT/
	  record /M_PTR/ bsbuf
	  record /STKSTRUCT/ stk
	  real*8    xstart,xdelta,ystart,ydelta
	  integer*4 nx,jx,nex,ney,mbytes,nbytes
	endstructure
	parameter (L_SpecStruct=L_M_Ptr+L_xstack+56)

	structure /Gx/
	  record /M_PTR/ sbuf,zspec,map5
	  record /XFACILITIES/ xf
	  real*8	retx,rety,retz
	  real*8	xmrk,ymrk,zmrk
	  real*8	aretx,arety,aretz
	  real*8	dretx,drety,dretz
	  real*8	xstart,xdelta,ystart,ydelta,ymin
	  character*16	mouse
	  integer*4	mframe,ncolor,iautom,iautol,nelem,status 
	  integer*4	lps,lpf,lpb,ic
	  integer*4	cntrls,cmode,imouse,iabsc
	  integer*4	nex,ney,ncx,jx1,jx2,top
C+++
C CMC - add compression
	  integer*4	ispec,nspec,nxf,melem,cmp
C---
	  logical*4	autoexit,specs,cx,wrap
	  logical*4	smooth,edge,fast,bs
	  integer*4	nzspec,mimic,hold,mspec
	  real*4	zmin,zmax,rmin,rmax
	  real*4	time,timel,dbmin,dbrange
	  integer*4	xlab,ylab,zlab
	  integer*4	ixlab,iylab,izlab
	  integer*4	type,events,markm,marks
	  logical*4     stretch
	  integer*4	ledgey
	  character*40	edgey
	  character*20	xfmt,yfmt,zfmt
	  record /PIXSTRUCT/ markp
	endstructure
	record /Gx/ Gx
	parameter (L_Gx=L_xfacilities+3*L_M_Ptr+476+L_pixstruct)

	parameter (t_auto	= 1)
	parameter (t_autol	= t_auto + 1)
	parameter (t_bs		= t_autol + 1)
	parameter (t_cntrls	= t_bs + 1)
	parameter (t_edge	= t_cntrls + 1)
	parameter (t_events	= t_edge + 1)
C+++
C CMC - add compression
	parameter (t_cmp	= t_events + 1)
	parameter (t_lpf	= t_cmp + 1)
C---
	parameter (t_lps	= t_lpf + 1)
	parameter (t_markm	= t_lps + 1)
	parameter (t_marks	= t_markm + 1)
	parameter (t_mimic	= t_marks + 1)
	parameter (t_msgid	= t_mimic + 1)
	parameter (t_smooth	= t_msgid + 1)
	parameter (t_specs	= t_smooth + 1)
	parameter (t_wrap	= t_specs + 1)

