#!/bin/csh
####################EXPERIMENTAL PURPOSES ONLY######################
#                                                                  #
# This script calls nxm.sys.test.JunitNoGraphics to run unit tests #
# with the limited NOGRAPHICS jar                                  #
#                                                                  #
# Environment Variables:                                           #
#   NMROOT - Current NeXtMidas distribution                        #
#                                                                  #
# Author: Jeanette McCall                                          #
# Since:  NeXtMidas 4.0.0                                          #
#                                                                  #
####################################################################

set NMROOT=`pwd`
if ( -f ${JAVAHOME}/lib/tools.jar ) then
  set nm_reflective_access = ""
else 
  set nm_reflective_access = "--add-opens java.logging/java.util.logging=ALL-UNNAMED --add-opens java.base/java.security=ALL-UNNAMED"
endif
# $JAVA_HOME/bin/java -Xdebug -Xrunjdwp:transport=dt_socket,server=y,address=8000,suspend=n -DNONATIVE=FALSE -DNMROOT="classpath:" -Djava.library.path=$NMROOT/jars -classpath "$NMROOT/jars/*"" nxm.sys.lib.NeXtMidas
$JAVA_HOME/bin/java -DNONATIVE=FALSE $nm_reflective_access -DNMROOT="classpath:" -classpath "$NMROOT/jars/*" nxm.sys.test.JUnitNoGraphics
